Package org.bgerp.plugin.pln.grpl.dao

# Class GrplDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.plugin.pln.grpl.dao.GrplDAO

public class GrplDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GrplDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteProcess(int processId)`
  `Row`
  `getRow(BoardConfig board, Date date)`
  `List<Row>`
  `getRows(BoardConfig board, Date dateFrom, Date dateTo)`
  `Slot`
  `getSlot(BoardConfig board, Process process)`
  `void`
  `updateGroup(int boardId, Date date, int columnId, int groupId)`
  `void`
  `updateSlot(BoardConfig board, Process process, int columnId, Duration duration)`
  `void`
  `updateSlotTime(BoardConfig board, Process process, Date date, LocalTime time)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GrplDAO

    public GrplDAO(Connection con)

- ## Method Details

  - ### getRows

    public List<Row> getRows(BoardConfig board, Date dateFrom, Date dateTo) throws SQLException
    Throws:
      `SQLException`

  - ### getRow

    public Row getRow(BoardConfig board, Date date) throws SQLException
    Throws:
      `SQLException`

  - ### updateGroup

    public void updateGroup(int boardId, Date date, int columnId, int groupId) throws SQLException
    Throws:
      `SQLException`

  - ### getSlot

    public Slot getSlot(BoardConfig board, Process process) throws SQLException
    Throws:
      `SQLException`

  - ### updateSlot

    public void updateSlot(BoardConfig board, Process process, int columnId, Duration duration) throws SQLException
    Throws:
      `SQLException`

  - ### updateSlotTime

    public void updateSlotTime(BoardConfig board, Process process, Date date, LocalTime time) throws SQLException
    Throws:
      `SQLException`

  - ### deleteProcess

    public void deleteProcess(int processId) throws SQLException
    Throws:
      `SQLException`